PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;

DROP TABLE IF EXISTS contacts;
CREATE TABLE "contacts"(
   "contact_id" Integer,
   "email" Text,
   "if_you_need" Text,
   "name" Text,
   "phone" Text );
INSERT INTO "contacts" VALUES(1,'','','','');
INSERT INTO "contacts" VALUES(2,'','','','');
INSERT INTO "contacts" VALUES(3,'','','','');
INSERT INTO "contacts" VALUES(4,'','','','');

DROP TABLE IF EXISTS version;
CREATE TABLE version (
number varchar(50) DEFAULT(''),
"release" varchar(128));

DROP TABLE IF EXISTS "logs" ;
CREATE TABLE "logs"(
  id INTEGER AUTO INCREMENT,
  process TEXT,
  time DATETIME,
  message TEXT
);

DROP TABLE IF EXISTS "data_key";
CREATE TABLE "data_key"(
   "id"          Integer,
   "language_id" Integer,
   "type"        Text );

INSERT INTO "data_key" VALUES(0,202,'digital');
INSERT INTO "data_key" VALUES(1,574,'digital');
INSERT INTO "data_key" VALUES(2,575,'digital');
INSERT INTO "data_key" VALUES(3,2145,'digital');

INSERT INTO "data_key" VALUES(0,202,'analog');
INSERT INTO "data_key" VALUES(1,570,'analog');
INSERT INTO "data_key" VALUES(2,571,'analog');
INSERT INTO "data_key" VALUES(3,568,'analog');


INSERT INTO "data_key" VALUES(1,557,'sensor'); /* 0_5v */
INSERT INTO "data_key" VALUES(2,558,'sensor'); /* 1_5v */
INSERT INTO "data_key" VALUES(3,559,'sensor'); /* 4-20ma */
INSERT INTO "data_key" VALUES(4,560,'sensor'); /* pot. */
INSERT INTO "data_key" VALUES(5,561,'sensor'); /* ictd */
INSERT INTO "data_key" VALUES(6,562,'sensor'); /* rtd */
INSERT INTO "data_key" VALUES(7,563,'sensor'); /* ct */
INSERT INTO "data_key" VALUES(8,205,'sensor'); /* 0-20ma */
INSERT INTO "data_key" VALUES(9,564,'sensor'); /* vibration */
INSERT INTO "data_key" VALUES(10,565,'sensor'); /* 0_10v */
INSERT INTO "data_key" VALUES(11,566,'sensor'); /* +5v */
INSERT INTO "data_key" VALUES(12,1656,'sensor'); /* 2-10v */



INSERT INTO "data_key" VALUES(0,202,'unit');
INSERT INTO "data_key" VALUES(1,7,'unit');
INSERT INTO "data_key" VALUES(100,547,'unit');
INSERT INTO "data_key" VALUES(2,NULL,'unit');
INSERT INTO "data_key" VALUES(3,NULL,'unit');
INSERT INTO "data_key" VALUES(4,8,'unit');
INSERT INTO "data_key" VALUES(5,NULL,'unit');
INSERT INTO "data_key" VALUES(6,551,'unit');
INSERT INTO "data_key" VALUES(7,552,'unit');
INSERT INTO "data_key" VALUES(8,132,'unit');
INSERT INTO "data_key" VALUES(9,553,'unit');
INSERT INTO "data_key" VALUES(10,779,NULL);
INSERT INTO "data_key" VALUES(11,158,NULL);
INSERT INTO "data_key" VALUES(12,1205,NULL);
INSERT INTO "data_key" VALUES(13,554,NULL);
INSERT INTO "data_key" VALUES(14,555,NULL);
INSERT INTO "data_key" VALUES(15,556,NULL);
INSERT INTO "data_key" VALUES(16,127,NULL);
INSERT INTO "data_key" VALUES(17,NULL,NULL);
INSERT INTO "data_key" VALUES(18,NULL,NULL);
INSERT INTO "data_key" VALUES(19,155,NULL);




DROP TABLE IF EXISTS [drop_downs] ;
CREATE TABLE [drop_downs] ([mode_data] INTEGER, [text_index] INTEGER, [language_id] INT);


DROP TABLE IF EXISTS "global_settings_sensor_types";
CREATE TABLE "global_settings_sensor_types"(
   "input_number" Integer,
   "value" Integer );
INSERT INTO "global_settings_sensor_types" VALUES(202,0);
INSERT INTO "global_settings_sensor_types" VALUES(7,1);
INSERT INTO "global_settings_sensor_types" VALUES(8,4);
INSERT INTO "global_settings_sensor_types" VALUES(547,100);

DROP TABLE IF EXISTS sessions;
CREATE TABLE sessions(
                 sessionId TEXT PRIMARY KEY,
                 id INTEGER REFERENCES users(id),
                 lastAccessTime TEXT, hasCookie BOOLEAN);

DROP TABLE IF EXISTS "shared_memory_monitor";
CREATE TABLE "shared_memory_monitor"(
   "data_file" Text,
   "file_item" Text,
   "data_item" Text , "data_file_text" Text, "data_item_text" Text);

DROP TABLE IF EXISTS "software";
CREATE TABLE "software"(
   "version" Text,
   "release" Text );
INSERT INTO "software" VALUES('11.00','12/25/2018');

DROP TABLE IF EXISTS "temp";
CREATE TABLE "temp"(
   "name" Text );

DROP TABLE IF EXISTS user_settings ;
CREATE TABLE user_settings (
  user_id int(5) NOT NULL,
  user_defined_home varchar(500),
  user_defined_main varchar(500));

DROP TABLE IF EXISTS equipment;
CREATE TABLE equipment(
product_name TEXT,
ip TEXT UNIQUE,
port VARCHAR(10),
type_name VARCHAR(25),
external_address TEXT);


DROP TABLE IF EXISTS equipment_components ;
CREATE TABLE equipment_components (
host_id INTEGER,
component_name TEXT,
type_name VARCHAR(25),
CONSTRAINT component UNIQUE(host_id, type_name),
FOREIGN KEY(host_id) REFERENCES equipment(rowid));

DROP TABLE IF EXISTS test_panel_ips;
CREATE TABLE test_panel_ips (
type_name VARCHAR(25),
test_letter CHARACTER(1),
ip TEXT
);
INSERT INTO test_panel_ips VALUES('compressor',       'A', '10.14.228.114');
INSERT INTO test_panel_ips VALUES('condenser/vessel', 'A', '10.14.228.116');
INSERT INTO test_panel_ips VALUES('evaporator',       'A', '10.14.228.117');
INSERT INTO test_panel_ips VALUES('engine_room',      'A', '10.14.228.118');
INSERT INTO test_panel_ips VALUES('compressor',       'B', '10.14.228.119');
INSERT INTO test_panel_ips VALUES('condenser/vessel', 'B', '10.14.228.121');
INSERT INTO test_panel_ips VALUES('evaporator',       'B', '10.14.228.122');
INSERT INTO test_panel_ips VALUES('engine_room',      'B', '10.14.228.128');


DROP TABLE IF EXISTS user_actions;
CREATE TABLE user_actions(
       user_id TEXT,
       action_data TEXT,
       time_stamp TIMESTAMP,
       FOREIGN KEY(user_id) REFERENCES users(id));


DROP TABLE IF EXISTS "global_settings_smtp_auth";
CREATE TABLE "global_settings_smtp_auth"(
	"authid" Integer NOT NULL PRIMARY KEY AUTOINCREMENT,
	"option" Text , "selected" Integer);
INSERT INTO "global_settings_smtp_auth" VALUES(1,'tls',1);
INSERT INTO "global_settings_smtp_auth" VALUES(2,'ssl',0);

DROP TABLE IF EXISTS "global_settings_smtp_settings";
CREATE TABLE "global_settings_smtp_settings"(
	"from_address" Text,
	"host"         Text,
	"password"     Text,
	"port"         Text,
	"timeOccured"  DateTime,
	"username"     Text );
INSERT INTO "global_settings_smtp_settings" VALUES('','','','','','');

DROP TABLE IF EXISTS "global_settings_notifications";
CREATE TABLE "global_settings_notifications"(
	"level" Integer,
	"sec_group" Integer );

DROP TABLE IF EXISTS "languages";
CREATE TABLE "languages"(
	"language_id" Integer,
	"name" Text,
	"english" Text,
	"french" Text,
	"portuguese" Text,
	"spanish" Text);

DROP TABLE IF EXISTS "global_settings_analog_aux_inputs_acuair";
CREATE TABLE "global_settings_analog_aux_inputs_acuair"(
	"name"         Text,
	"input_letter" Text,
	"input_number" Integer,
	"analog_id"    Integer,
	"aux_input"    Integer );
INSERT INTO "global_settings_analog_aux_inputs_acuair" VALUES('Analog Aux A','A',956,31,0);
INSERT INTO "global_settings_analog_aux_inputs_acuair" VALUES('Analog Aux B','B',957,32,1);
INSERT INTO "global_settings_analog_aux_inputs_acuair" VALUES('Analog Aux C','C',958,33,2);
INSERT INTO "global_settings_analog_aux_inputs_acuair" VALUES('Analog Aux D','D',1733,34,3);
INSERT INTO "global_settings_analog_aux_inputs_acuair" VALUES('Analog Aux E','E',1734,35,4);
INSERT INTO "global_settings_analog_aux_inputs_acuair" VALUES('Analog Aux F','F',1735,36,5);
INSERT INTO "global_settings_analog_aux_inputs_acuair" VALUES('Analog Aux G','G',1736,37,6);
INSERT INTO "global_settings_analog_aux_inputs_acuair" VALUES('Analog Aux H','H',1737,38,7);
INSERT INTO "global_settings_analog_aux_inputs_acuair" VALUES('Analog Aux I','I',1738,39,8);
INSERT INTO "global_settings_analog_aux_inputs_acuair" VALUES('Analog Aux J','J',1739,40,9);


DROP TABLE IF EXISTS "global_settings_analog_aux_inputs_units_acuair";
CREATE TABLE "global_settings_analog_aux_inputs_units_acuair"(
	"aux_input" Integer,
	"value"     Text );
INSERT INTO "global_settings_analog_aux_inputs_units_acuair" VALUES(0,'');
INSERT INTO "global_settings_analog_aux_inputs_units_acuair" VALUES(1,'');
INSERT INTO "global_settings_analog_aux_inputs_units_acuair" VALUES(2,'');
INSERT INTO "global_settings_analog_aux_inputs_units_acuair" VALUES(3,'');
INSERT INTO "global_settings_analog_aux_inputs_units_acuair" VALUES(4,'');
INSERT INTO "global_settings_analog_aux_inputs_units_acuair" VALUES(5,'');
INSERT INTO "global_settings_analog_aux_inputs_units_acuair" VALUES(6,'');
INSERT INTO "global_settings_analog_aux_inputs_units_acuair" VALUES(7,'');
INSERT INTO "global_settings_analog_aux_inputs_units_acuair" VALUES(8,'');
INSERT INTO "global_settings_analog_aux_inputs_units_acuair" VALUES(9,'');


DROP TABLE IF EXISTS "global_settings_digital_aux_inputs_acuair";
CREATE TABLE "global_settings_digital_aux_inputs_acuair"(
	"name"         Text,
	"input_letter" Text,
	"input_number" Integer,
	"id"           Integer );
INSERT INTO "global_settings_digital_aux_inputs_acuair" VALUES('Digital Aux Input A','A',956,1);
INSERT INTO "global_settings_digital_aux_inputs_acuair" VALUES('Digital Aux Input B','B',957,2);
INSERT INTO "global_settings_digital_aux_inputs_acuair" VALUES('Digital Aux Input C','C',958,3);
INSERT INTO "global_settings_digital_aux_inputs_acuair" VALUES('Digital Aux Input D','D',1733,4);
INSERT INTO "global_settings_digital_aux_inputs_acuair" VALUES('Digital Aux Input E','E',1734,5);
INSERT INTO "global_settings_digital_aux_inputs_acuair" VALUES('Digital Aux Input F','F',1735,6);
INSERT INTO "global_settings_digital_aux_inputs_acuair" VALUES('Digital Aux Input G','G',1736,7);
INSERT INTO "global_settings_digital_aux_inputs_acuair" VALUES('Digital Aux Input H','H',1737,8);
INSERT INTO "global_settings_digital_aux_inputs_acuair" VALUES('Digital Aux Input I','I',1738,9);
INSERT INTO "global_settings_digital_aux_inputs_acuair" VALUES('Digital Aux Input J','J',1739,10);


DROP TABLE IF EXISTS "global_settings_pid_names_acuair";
CREATE TABLE "global_settings_pid_names_acuair"(
	"name"         Text,
	"input_letter" Text );
INSERT INTO "global_settings_pid_names_acuair" VALUES('P/I Control A','A');
INSERT INTO "global_settings_pid_names_acuair" VALUES('P/I Control B','B');
INSERT INTO "global_settings_pid_names_acuair" VALUES('P/I Control C','C');
INSERT INTO "global_settings_pid_names_acuair" VALUES('P/I Control D','D');
INSERT INTO "global_settings_pid_names_acuair" VALUES('P/I Control E','E');
INSERT INTO "global_settings_pid_names_acuair" VALUES('P/I Control F','F');
INSERT INTO "global_settings_pid_names_acuair" VALUES('P/I Control G','G');
INSERT INTO "global_settings_pid_names_acuair" VALUES('P/I Control H','H');

DROP TABLE IF EXISTS "trending_acuair";
CREATE TABLE "trending_acuair"(
	"language_id" Integer,
	"analog_data" Integer,
	"unit"        Text,
	"text_index"  Integer );

DROP TABLE IF EXISTS "trending_real_time_acuair";
CREATE TABLE "trending_real_time_acuair"(
	"language_id" Integer,
	"analog_data" Integer,
	"unit" Text,
	"text_index" Integer );


DROP TABLE IF EXISTS "user_defined_acuair";
CREATE TABLE "user_defined_acuair"(
	"id"      Integer,
	"user_id" TEXT,
	"page"    Text,
PRIMARY KEY ( "id", "user_id", "page" ) );


DROP TABLE IF EXISTS "user_defined__digital_acuair";
CREATE TABLE "user_defined_digital_acuair"(
	"id"      Integer,
	"user_id" TEXT,
	"page"    Text,
PRIMARY KEY ( "id", "user_id", "page" ) );

DROP TABLE IF EXISTS "freeze_data_acuair";
CREATE TABLE "freeze_data_acuair"(
	"freeze_id" Integer PRIMARY KEY,
  "table_id"   Integer,
	"selected"  Boolean,
  "ordinal"   Integer);

INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1560, 0, 1, 1);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1561, 0, 1, 2);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1562, 0, 1, 3);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1563, 0, 1, 4);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1564, 0, 1, 5);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1565, 0, 1, 6);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1475, 0, 1, 7);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1487, 0, 1, 8);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2208, 0, 1, 9);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2209, 0, 1, 10);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2210, 0, 1, 11);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2211, 0, 1, 12);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2212, 0, 1, 13);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1760, 0, 1, 14);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1761, 0, 1, 15);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1847, 0, 1, 16);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1981, 0, 1, 17);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1982, 0, 1, 18);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1983, 0, 1, 19);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1984, 0, 1, 20);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1985, 0, 1, 21);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2213, 0, 1, 22);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2214, 0, 1, 23);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2215, 0, 1, 24);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2216, 0, 1, 25);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2217, 0, 1, 26);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2218, 0, 1, 27);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2219, 0, 1, 28);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2220, 0, 1, 29);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2221, 0, 1, 30);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2222, 0, 1, 31);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2223, 0, 1, 32);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2224, 0, 1, 33);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2225, 0, 1, 34);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2226, 0, 1, 35);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2227, 0, 1, 36);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2506, 0, 1, 37);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2229, 0, 1, 38);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2230, 0, 1, 39);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2231, 0, 1, 40);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2232, 0, 1, 41);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2233, 0, 1, 42);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2234, 0, 1, 43);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2235, 0, 1, 44);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2236, 0, 1, 45);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1835, 0, 1, 46);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1740, 0, 1, 47);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2237, 0, 1, 48);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1476, 0, 1, 49);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2238, 0, 1, 50);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2240, 0, 1, 51);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2241, 0, 1, 52);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2242, 0, 1, 53);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2243, 0, 1, 54);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2244, 0, 1, 55);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2245, 0, 1, 56);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2239, 0, 1, 62);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2505, 0, 1, 63);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(2228, 0, 1, 64);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1591, 3, 1, 99);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1465, 3, 1, 100);
INSERT INTO "freeze_data_acuair" ("freeze_id","table_id","selected","ordinal") VALUES(1466, 3, 1, 101);


DROP TABLE IF EXISTS global_settings_user_defined_maintenance;
CREATE TABLE global_settings_user_defined_maintenance(
  name TEXT
);
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 1');
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 2');
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 3');
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 4');
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 5');
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 6');
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 7');
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 8');

DROP TABLE IF EXISTS global_settings_maintenance_logs;
CREATE TABLE global_settings_maintenance_logs(
       user_id TEXT,
       log_date DATETIME,
       log_text TEXT,
       FOREIGN KEY(user_id) REFERENCES users(id));


DROP TABLE IF EXISTS messages;
CREATE TABLE "messages"(
	"message"   Text,
	"level"     Integer,
	"datestamp" DateTime );

DROP TABLE IF EXISTS meta;
CREATE TABLE meta(
       version DOUBLE
);
INSERT INTO meta VALUES(2.0);

DROP TABLE IF EXISTS local_host_configs;
CREATE TABLE local_host_configs(
       url TEXT,
       user_defined_name TEXT,
       product_type VARCHAR(25)
);
INSERT INTO local_host_configs VALUES('', 'acuair', 'acuair');

DROP TABLE IF EXISTS local_host_components;
CREATE TABLE local_host_components(
       user_defined_name TEXT,
       product_type VARCHAR(25)
);


DROP TABLE IF EXISTS mode_ordinals;
CREATE TABLE mode_ordinals(
       mode_data Integer,
       text_index Integer,
       ordinal Integer
);

INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 0, 0);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 1, 1);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 2, 2);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 3, 3);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 4, 4);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 5, 5);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 6, 6);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 7, 7);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 8, 8);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 9, 9);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 12, 10);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 13, 11);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 14, 12);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 15, 13);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 16, 14);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 17, 15);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 18, 16);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 19, 17);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 20, 18);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 21, 19);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 22, 20);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 23, 21);

INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 24, 22);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 25, 23);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 26, 24);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 27, 25);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 28, 26);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 29, 27);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 30, 28);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 31, 29);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 32, 30);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 33, 31);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 34, 32);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 35, 33);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 36, 34);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 37, 35);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 38, 36);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 39, 37);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 40, 38);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 41, 39);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 42, 40);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 43, 41);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 44, 42);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 45, 43);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 46, 44);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 47, 45);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 48, 46);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 49, 47);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 50, 48);



INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 0, 0);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 1, 1);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 2, 2);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 3, 3);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 4, 4);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 5, 5);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 6, 6);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 7, 7);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 8, 8);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 9, 9);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 10, 10);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 11, 11);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 12, 12);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 13, 13);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 14, 14);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 15, 15);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 16, 16);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 17, 17);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 18, 18);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 19, 19);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 20, 20);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 21, 21);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 22, 22);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 23, 23);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 24, 24);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 25, 25);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 26, 26);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 27, 27);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 28, 28);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 29, 29);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 30, 30);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 31, 31);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 32, 32);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 33, 33);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 34, 34);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 35, 35);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 36, 36);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 37, 37);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 38, 38);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 39, 39);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 40, 40);

INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 42, 42);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 43, 43);


DROP INDEX IF EXISTS [idx_data_key];
DROP INDEX IF EXISTS "data_keyIdx";
DROP INDEX IF EXISTS "drop_downsIdx";
DROP INDEX IF EXISTS "index_authid";
DROP INDEX IF EXISTS "languagesIdx";
DROP INDEX IF EXISTS "idx_languages";

CREATE INDEX [idx_data_key] ON [data_key] ([id] ASC);
CREATE INDEX "data_keyIdx" ON "data_key"( "language_id", "type" );
CREATE INDEX "drop_downsIdx" ON "drop_downs"( "mode_data", "language_id" );
CREATE INDEX "index_authid" ON "global_settings_smtp_auth"( "authid" );
CREATE INDEX "languagesIdx" ON "languages"( "name" );
CREATE INDEX "idx_languages" ON "languages"( "language_id" );

COMMIT;
