#! /bin/bash
# The frick-init script sets the system environment to run the unity products

#LOADS TOUCHSCREEN DRIVER - WILL FAIL GRACEFULLY IF OLD CHIP IS PRESENT
insmod /lib/modules/4.1.38-yocto+gc670dd4/extra/tsc2004.ko

#RESET ACTIVE ACTIVE AND USER LIGHT ON BOARD
frick-led active off
frick-led user1 off
frick-led user2 off


#FOR DEVELOPMENT USE - SET FLAG TO REPRESENT CURRENT BOARD STATUS
echo "1" > /home/frick/flag

#CREATE TEMPORARY DIRECTORIES USED BY THE QUANTUM UNITY APPLICATION
mkdir /cache/historical-trending
mkdir /cache/js
mkdir /cache/js/json
mkdir /tmp/chrome

#INSERT DNS INFOROMATION
cp /usr/src/resolv.conf /etc/resolv.conf

#CHECKS TOUCHSCREEN CHIP BY XINPUT
TS_DEVICE=`xinput list 2>&1 | grep -c "SX8"`

#PUSH RESULT TO FILE TO BE USED BY CALIBRATION SCRIPTS
if [[ "$TS_DEVICE" == "1" ]]; then
 echo "SX8" > /usr/src/touchscreen
else
 echo "TSC" > /usr/src/touchscreen
fi


sleep 2

#LOAD CALIBRATION FOR TOUCHSCREEN
load_calibration -current


#REMOVED NTP START - NOT IMPLEMENTED
#start-ntp


